Subject: [secdir] Secdir review of draft-ietf-appsawg-acct-uri-03

From: Charlie Kaufman <[email-masked]>
Date: Wed, 27 Feb 2013 19:10:53 +0000

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors. Document editors and WG chairs should treat these comments just like any other last call comments.

The fact that this document only defines a syntax and does not define uses for it implies that the security implications are minimal.

This document specifies a new URI format for specifying names of accounts. The syntax looks like:

acct:[email-masked]

The chosen syntax is apparently already proposed for use in the WebFinger protocol in a separate I-D and one could imagine lots of other uses. This draft does not specify any semantics associated with the account specification or any means of contacting the entity, though it will likely be a common practice to have the value be usable as an email address to reach the named entity. This draft specifies that any protocols using this new URI format must specify the associated semantics. The Security Considerations notes this and says that therefore any security considerations must therefore be described by the protocol using this syntax.

My only quibble is that the spec does not specify any algorithm by which two acct URIs can be compared for equality. Perhaps the world has evolved to the point where everyone accepts that as being impossible. The part after the @ is a DNS host, subject to IDN rules, while the part before may contain many ASCII characters and %-encoded UTF8. I believe that makes this different from what is allowed in the name portion of an email address in many subtle cases. Case-blind comparisons are probably intended but are not specified. Having an "almost canonical" way to specify an account identifier has the potential of introducing security problems, but they may be unavoidable.

	--Charlie